<?php
add_action( 'admin_menu', 'vimo_csbl_add_admin_menu' );
add_action( 'admin_init', 'vimo_csbl_settings_init' );

function vimo_csbl_add_admin_menu(  ) {
	add_options_page( 'Custom Sidebar Links', 'Custom Sidebar Links', 'manage_options', 'custom_sidebar_links', 'vimo_csbl_options_page' );
}

function vimo_csbl_settings_init(  ) {

	register_setting( 'vimo_csbl_pluginPage', 'vimo_csbl_settings' );

	add_settings_section(
		'vimo_csbl_pluginPage_section',
		__( '', 'vimo_csbl' ),
		'',
		'vimo_csbl_pluginPage'
	);

	add_settings_field(
		'vimo_csbl_post_checkboxes',
		__( 'Enable pages/posts from the following post types:', 'vimo_csbl' ),
		'vimo_csbl_post_checkbox_render',
		'vimo_csbl_pluginPage',
		'vimo_csbl_pluginPage_section'
	);
}

function vimo_csbl_post_checkbox_render() { 

	$options = get_option( 'vimo_csbl_settings' );
	
	echo '<ul>'; ?>
	
	<li><input type='checkbox' name='vimo_csbl_settings[vimo_csbl_checkbox_field_page]' value='page' onclick="return false;" disabled="disabled" checked> Pages<br /></li>

	<?php 
	
	$allPostTypes = get_post_types( array('public' => true) );

	foreach( $allPostTypes as $post_type ) {
	  if ( in_array( $post_type, array('page', 'attachment') ) )
	    continue;
	  $pt = get_post_type_object( $post_type );

	?>

		<li><input type='checkbox' name='vimo_csbl_settings[vimo_csbl_checkbox_field_<?php echo $post_type; ?>]' <?php checked( isset( $options['vimo_csbl_checkbox_field_' . $post_type], $post_type )); ?> value='<?php echo esc_attr( $post_type ); ?>'> <?php echo $pt->labels->name; ?><br /></li>

	<?php }
				
	echo '</ul>';
	
}

function vimo_csbl_options_page() { ?>
	<form action='options.php' method='post'>

		<h2>Custom Sidebar Links Settings</h2>

		<?php
		settings_fields( 'vimo_csbl_pluginPage' );
		do_settings_sections( 'vimo_csbl_pluginPage' );
		submit_button();
		?>
		
	</form>
	<?php
}